# AcATaMa #

[![Tests](https://github.com/SMByC/AcATaMa/actions/workflows/tests.yml/badge.svg?branch=master)](https://github.com/SMByC/AcATaMa/actions/workflows/tests.yml)
[![GPLv3 license](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0.html)

![](icons/acatama.svg)

AcATaMa is a powerful and complete Qgis plugin for accuracy assessment designed for land use/land cover classification,
including supervised/unsupervised classification or any thematic map. It provides comprehensive support for sampling,
response design and estimation within a design-based inference framework. The primary goal of AcATaMa is to equip users
with the necessary tools to comply with international guidance and best practices for sampling design, estimation of
land category areas and changes, and map accuracy assessment.

![](docs/img/overview.webp)

To ensure a good accuracy assessment AcATaMa provides three components: **sampling design**, used to select the
reference sample; the **response design**, which allows the evaluation protocol, and finally, the **analysis** 
procedures with different estimators. AcATaMa has been manually tested with multiple real examples for all user 
cases in order to guarantee the quality of the results.

> Read more in the documentation here: [https://smbyc.github.io/AcATaMa](https://smbyc.github.io/AcATaMa)

## Source code

Source code, issue tracker, QA and ideas:[https://github.com/SMByC/AcATaMa](https://github.com/SMByC/AcATaMa)  
The home plugin in
plugins.qgis.org: [https://plugins.qgis.org/plugins/AcATaMa/](https://plugins.qgis.org/plugins/AcATaMa/)

## About us

AcATaMa was developing, designed and implemented by the Group of Forest and Carbon Monitoring System (SMByC), operated
by the Institute of Hydrology, Meteorology and Environmental Studies (IDEAM) - Colombia.

Author and developer: *Xavier C. Llano* *<xavier.corredor.llano@gmail.com>*  
Documentation, testers and product verification: *Gustavo Galindo, Jhonatan Andrés Arias, Katerine Vergara*

## How to cite

Llano, X. (version_year), SMByC-IDEAM. AcATaMa - QGIS plugin for Accuracy Assessment of Thematic Maps, version XX.XX. Available
in https://github.com/SMByC/AcATaMa

## License

AcATaMa is a free/libre software and is licensed under the GNU General Public License.
